cleanupmaster
authorFelix Bechstein <f@ub0r.de>
Thu, 15 Apr 2010 06:18:32 +0000 (15 08:18 +0200)
committerFelix Bechstein <f@ub0r.de>
Thu, 15 Apr 2010 06:18:32 +0000 (15 08:18 +0200)
17 files changed:
app-crypt/pinentry-qt4/Manifest [deleted file]
app-crypt/pinentry-qt4/metadata.xml [deleted file]
app-crypt/pinentry-qt4/pinentry-qt4-9999.ebuild [deleted file]
dev-java/proguard/Manifest [deleted file]
dev-java/proguard/files/build.xml [deleted file]
dev-java/proguard/proguard-4.2-r1.ebuild [deleted file]
dev-java/proguard/proguard-4.3.ebuild [deleted file]
dev-java/sun-wtk-bin/Manifest [deleted file]
dev-java/sun-wtk-bin/sun-wtk-bin-2.5.2.ebuild [deleted file]
games-arcade/teeworlds/Manifest [deleted file]
games-arcade/teeworlds/files/fix_datadir_search.patch [deleted file]
games-arcade/teeworlds/files/teeworlds_init [deleted file]
games-arcade/teeworlds/teeworlds-0.5.1-r4.ebuild [deleted file]
media-gfx/kflickr/Manifest
media-gfx/kflickr/kflickr-0.9.1_p20081222.ebuild
net-wireless/blueproximity/Manifest [deleted file]
net-wireless/blueproximity/blueproximity-1.2.5.ebuild [deleted file]

diff --git a/app-crypt/pinentry-qt4/Manifest b/app-crypt/pinentry-qt4/Manifest
deleted file mode 100644 (file)
index b9af2db..0000000
+++ /dev/null
@@ -1,2 +0,0 @@
-EBUILD pinentry-qt4-9999.ebuild 454 RMD160 94441b29e575c13d2d251527dea88b4b77a3d503 SHA1 19bfaef0ed59673b7ac1fd9af4aa7b4a611adc92 SHA256 4e32e0b73ac66f45295a13a58cbcb5df74b44fdff8590a5d2a27123d4166376e
-MISC metadata.xml 156 RMD160 ecce3b981f150c45ae1e84e2d208e678d6124259 SHA1 b64f7c0b4e5db816d82ad19848f72118af129d35 SHA256 2f4da28506b9d4185f320f67a6191d30c7a921217ed4447ed46ea0bc4aefc79a
diff --git a/app-crypt/pinentry-qt4/metadata.xml b/app-crypt/pinentry-qt4/metadata.xml
deleted file mode 100644 (file)
index 8d1e86a..0000000
+++ /dev/null
@@ -1,5 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
-<herd>kde</herd>
-</pkgmetadata>
diff --git a/app-crypt/pinentry-qt4/pinentry-qt4-9999.ebuild b/app-crypt/pinentry-qt4/pinentry-qt4-9999.ebuild
deleted file mode 100644 (file)
index 80b6f33..0000000
+++ /dev/null
@@ -1,24 +0,0 @@
-# Copyright 1999-2009 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI="2"
-
-KMNAME="playground/pim"
-NEED_KDE="none"
-inherit kde4-base
-
-DESCRIPTION="Collection of simple PIN or passphrase entry dialogs which utilize the Assuan protocol"
-HOMEPAGE="http://kde.org/"
-
-LICENSE="GPL-2 LGPL-2"
-KEYWORDS=""
-SLOT="0"
-IUSE="debug"
-
-DEPEND="
-       >=x11-libs/qt-gui-4.4:4
-"
-RDEPEND="${DEPEND}
-       app-crypt/pinentry
-"
diff --git a/dev-java/proguard/Manifest b/dev-java/proguard/Manifest
deleted file mode 100644 (file)
index 542968e..0000000
+++ /dev/null
@@ -1,5 +0,0 @@
-AUX build.xml 1018 RMD160 2d99298bd2b737a33601984baaaafc230546e469 SHA1 005dcd093e0dc57f0d94b5480b6f5effc1650be4 SHA256 2ff78260db48aba082012630cb496cf4060dcdf88dde7e8dd2be5bf4cd8da242
-DIST proguard4.2.tar.gz 1667147 RMD160 c38aa1ac68c15c00b741f1bdd3573ca2f82a9819 SHA1 9562852ea382b1d0dbbc294f7b6bec563bad21b6 SHA256 cc3ca45f3fa6ca06edb5a855e72f7870af718f2a2fa60a0725007e88242d6196
-DIST proguard4.3.tar.gz 1779783 RMD160 dbae3144880d2f84f4c730375b83ca2a441e37ed SHA1 9dc4b7f4eba6c3e2cc5df34d3d4394a38f2146e5 SHA256 8d97e7acf5a2c8827fdd622439852efdedd897d2e9786efd92aff51f5bd07d86
-EBUILD proguard-4.2-r1.ebuild 3376 RMD160 4d50e28287e1af1679d283564df0cb00ed591d18 SHA1 2e1150606a11cef7b2a6c98bde4e357c4e32d20c SHA256 be76a34a777dbdeaa7823a7f16a3948d24dea06ea6bd30a821a717f2ff82412c
-EBUILD proguard-4.3.ebuild 3385 RMD160 ccad1e35977c9112d9816ca6068eece87da8857f SHA1 19e0a9bdf0f901c2ad7e12e56b2c6d02f42c99f4 SHA256 d227b2fe4d8aef7ce99816693ba254481f2ba0d1facc4c77c33dcecdcb230398
diff --git a/dev-java/proguard/files/build.xml b/dev-java/proguard/files/build.xml
deleted file mode 100644 (file)
index 7eff4bc..0000000
+++ /dev/null
@@ -1,41 +0,0 @@
-<?xml version="1.0"?>
-<project name="proguard" basedir="." default="proguard">
-       <target name="proguard">
-               <tstamp />
-
-               <mkdir dir="classes" />
-               <javac srcdir="src" debug="false" destdir="classes">
-                       <include name="**/*.java" />
-               </javac>
-
-               <copy todir="classes">
-                   <fileset dir="src" excludes="**/*.java"/>
-               </copy>
-               
-               <mkdir dir="dist" />
-
-               <delete file="dist/retrace.jar"/>
-               <jar jarfile="dist/retrace.jar" compress="true">
-                       <fileset dir="classes">
-                               <include name="proguard/retrace/**/*.*" />
-                       </fileset>
-               </jar>
-
-               <delete file="dist/proguardgui.jar"/>
-               <jar jarfile="dist/proguardgui.jar" compress="true">
-                       <fileset dir="classes">
-                               <include name="proguard/gui/**/*.*" />
-                       </fileset>
-               </jar>
-
-               <delete file="dist/proguard.jar"/>
-               <jar jarfile="dist/proguard.jar" compress="true">
-                       <fileset dir="classes">
-                               <exclude name="proguard/gui**" />
-                               <exclude name="proguard/retrace**" />
-                       </fileset>
-               </jar>
-
-               <delete dir="classes" />
-       </target>
-</project>
diff --git a/dev-java/proguard/proguard-4.2-r1.ebuild b/dev-java/proguard/proguard-4.2-r1.ebuild
deleted file mode 100644 (file)
index 7608159..0000000
+++ /dev/null
@@ -1,95 +0,0 @@
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-java/proguard/proguard-4.2-r1.ebuild,v 1.1 2008/10/22 01:27:23 fordfrog Exp $
-
-JAVA_PKG_IUSE="doc source"
-inherit java-pkg-2 java-ant-2
-
-DESCRIPTION="Free Java class file shrinker, optimizer, and obfuscator."
-HOMEPAGE="http://proguard.sourceforge.net/"
-MY_P=${P/-/}
-MY_P=${MY_P/_/}
-SRC_URI="mirror://sourceforge/proguard/${MY_P}.tar.gz"
-
-LICENSE="GPL-2-with-linking-exception"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="examples j2me"
-
-DEPEND=">=virtual/jdk-1.4
-               j2me? ( dev-java/sun-wtk-bin )"
-RDEPEND=">=virtual/jre-1.4
-               j2me? ( dev-java/sun-wtk-bin )"
-
-S=${WORKDIR}/${MY_P}
-
-src_unpack() {
-       unpack ${A}
-       find "${S}" -name "*.jar" | xargs rm -v
-}
-
-src_compile() {
-       # create jars
-       mkdir dist
-
-       einfo "Compiling ${PN}.jar"
-       mkdir -p build/proguard/classes
-       ejavac -sourcepath src -d build/proguard/classes src/proguard/ProGuard.java || die "Cannot compile 'proguard'"
-       jar -cf "${S}"/dist/${PN}.jar -C build/proguard/classes proguard || die "Cannot create ${PN}.jar"
-
-       einfo "Compiling ${PN}gui.jar"
-       mkdir -p build/proguardgui/classes
-       ejavac -sourcepath src -d build/proguardgui/classes src/proguard/gui/ProGuardGUI.java || die "Cannot compile 'proguardgui'"
-       cp src/proguard/gui/*.gif build/proguardgui/classes/proguard/gui/
-       cp src/proguard/gui/*.pro build/proguardgui/classes/proguard/gui/
-       cp src/proguard/gui/*.properties build/proguardgui/classes/proguard/gui/
-       jar -cf "${S}"/dist/${PN}gui.jar -C build/proguardgui/classes proguard || die "Cannot create ${PN}gui.jar"
-
-       einfo "Compiling retrace.jar"
-       mkdir -p build/retrace/classes
-       ejavac -sourcepath src -d build/retrace/classes src/proguard/retrace/ReTrace.java || die "Cannot compile 'retrace'"
-       jar -cf "${S}"/dist/retrace.jar -C build/retrace/classes proguard || die "Cannot create retrace.jar"
-
-       einfo "Compiling ${PN}-ant.jar"
-       mkdir -p build/ant/classes
-       ejavac -sourcepath src -classpath $(java-pkg_getjars --build-only ant-core) \
-               -d build/ant/classes src/proguard/ant/ProGuardTask.java || die "Cannot compile 'proguard-ant'"
-       jar -cf "${S}"/dist/${PN}-ant.jar -C build/ant/classes proguard || die "Cannot create ${PN}-ant.jar"
-
-       if use j2me ; then
-               einfo "Compiling ${PN}-wtk.jar"
-               mkdir -p build/wtk/classes
-               ejavac -sourcepath src -classpath $(java-pkg_getjars sun-wtk-bin) \
-                       -d build/wtk/classes src/proguard/wtk/ProGuardObfuscator.java || die "Cannot compile 'proguard-wtk'"
-               jar -cf "${S}"/dist/${PN}-wtk.jar -C build/wtk/classes proguard || die "Cannot create ${PN}-wtk.jar"
-       fi
-
-       # generate javadoc
-       if use doc ; then
-               mkdir javadoc
-               local cp=$(java-pkg_getjars --build-only ant-core)
-               use j2me && cp="${cp}:$(java-pkg_getjars sun-wtk-bin)"
-               javadoc -d javadoc -sourcepath src -classpath $${cp} -subpackages proguard || die "Cannot compile javadoc"
-       fi
-}
-
-src_install() {
-       java-pkg_dojar dist/*
-       java-pkg_dolauncher ${PN} --main proguard.ProGuard
-       java-pkg_dolauncher ${PN}gui --main proguard.gui.ProGuardGUI
-       java-pkg_dolauncher ${PN}_retrace --main proguard.retrace.ReTrace
-
-       if use doc; then
-               dohtml -r docs/*
-               java-pkg_dojavadoc javadoc
-       fi
-
-       if use examples; then
-               dohtml -r examples
-       fi
-}
-
-pkg_postinst() {
-       elog "Please see http://proguard.sourceforge.net/GPL_exception.html"
-       elog "for linking exception information about ${PN}"
-}
diff --git a/dev-java/proguard/proguard-4.3.ebuild b/dev-java/proguard/proguard-4.3.ebuild
deleted file mode 100644 (file)
index 02a50ac..0000000
+++ /dev/null
@@ -1,97 +0,0 @@
-# Copyright 1999-2009 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-java/proguard/proguard-4.3.ebuild,v 1.1 2009/02/04 20:08:58 serkan Exp $
-
-JAVA_PKG_IUSE="doc source"
-inherit java-pkg-2 java-ant-2
-
-DESCRIPTION="Free Java class file shrinker, optimizer, and obfuscator."
-HOMEPAGE="http://proguard.sourceforge.net/"
-MY_P=${P/-/}
-MY_P=${MY_P/_/}
-SRC_URI="mirror://sourceforge/proguard/${MY_P}.tar.gz"
-
-LICENSE="GPL-2-with-linking-exception"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="examples j2me"
-
-DEPEND=">=virtual/jdk-1.4
-               j2me? ( dev-java/sun-wtk-bin )
-               dev-java/ant-core"
-RDEPEND=">=virtual/jre-1.4
-               j2me? ( dev-java/sun-wtk-bin )
-               dev-java/ant-core"
-
-S=${WORKDIR}/${MY_P}
-
-src_unpack() {
-       unpack ${A}
-       find "${S}" -name "*.jar" | xargs rm -v
-}
-
-src_compile() {
-       # create jars
-       mkdir dist
-
-       einfo "Compiling ${PN}.jar"
-       mkdir -p build/proguard/classes
-       ejavac -sourcepath src -d build/proguard/classes src/proguard/ProGuard.java || die "Cannot compile 'proguard'"
-       jar -cf "${S}"/dist/${PN}.jar -C build/proguard/classes proguard || die "Cannot create ${PN}.jar"
-
-       einfo "Compiling ${PN}gui.jar"
-       mkdir -p build/proguardgui/classes
-       ejavac -sourcepath src -d build/proguardgui/classes src/proguard/gui/ProGuardGUI.java || die "Cannot compile 'proguardgui'"
-       cp src/proguard/gui/*.gif build/proguardgui/classes/proguard/gui/
-       cp src/proguard/gui/*.pro build/proguardgui/classes/proguard/gui/
-       cp src/proguard/gui/*.properties build/proguardgui/classes/proguard/gui/
-       jar -cf "${S}"/dist/${PN}gui.jar -C build/proguardgui/classes proguard || die "Cannot create ${PN}gui.jar"
-
-       einfo "Compiling retrace.jar"
-       mkdir -p build/retrace/classes
-       ejavac -sourcepath src -d build/retrace/classes src/proguard/retrace/ReTrace.java || die "Cannot compile 'retrace'"
-       jar -cf "${S}"/dist/retrace.jar -C build/retrace/classes proguard || die "Cannot create retrace.jar"
-
-       einfo "Compiling ${PN}-ant.jar"
-       mkdir -p build/ant/classes
-       ejavac -sourcepath src -classpath $(java-pkg_getjars ant-core) \
-               -d build/ant/classes src/proguard/ant/ProGuardTask.java || die "Cannot compile 'proguard-ant'"
-       jar -cf "${S}"/dist/${PN}-ant.jar -C build/ant/classes proguard || die "Cannot create ${PN}-ant.jar"
-
-       if use j2me ; then
-               einfo "Compiling ${PN}-wtk.jar"
-               mkdir -p build/wtk/classes
-               ejavac -sourcepath src -classpath $(java-pkg_getjars sun-wtk-bin) \
-                       -d build/wtk/classes src/proguard/wtk/ProGuardObfuscator.java || die "Cannot compile 'proguard-wtk'"
-               jar -cf "${S}"/dist/${PN}-wtk.jar -C build/wtk/classes proguard || die "Cannot create ${PN}-wtk.jar"
-       fi
-
-       # generate javadoc
-       if use doc ; then
-               mkdir javadoc
-               local cp=$(java-pkg_getjars ant-core)
-               use j2me && cp="${cp}:$(java-pkg_getjars sun-wtk-bin)"
-               javadoc -d javadoc -sourcepath src -classpath $${cp} -subpackages proguard || die "Cannot compile javadoc"
-       fi
-}
-
-src_install() {
-       java-pkg_dojar dist/*
-       java-pkg_dolauncher ${PN} --main proguard.ProGuard
-       java-pkg_dolauncher ${PN}gui --main proguard.gui.ProGuardGUI
-       java-pkg_dolauncher ${PN}_retrace --main proguard.retrace.ReTrace
-
-       if use doc; then
-               dohtml -r docs/*
-               java-pkg_dojavadoc javadoc
-       fi
-
-       if use examples; then
-               dohtml -r examples
-       fi
-}
-
-pkg_postinst() {
-       elog "Please see http://proguard.sourceforge.net/GPL_exception.html"
-       elog "for linking exception information about ${PN}"
-}
diff --git a/dev-java/sun-wtk-bin/Manifest b/dev-java/sun-wtk-bin/Manifest
deleted file mode 100644 (file)
index 3e0df28..0000000
+++ /dev/null
@@ -1,3 +0,0 @@
-DIST sun_java_wireless_toolkit-2_5_2-linux.bin 39514619 RMD160 165c07a6df8acad2d326a149b7ddd1b1545dac7d SHA1 2e6e2d83f613c275f44d104b78c7546ba120d5c7 SHA256 48d715c7434e270d6d2bfea8f16300475f67a342f156907d78a74634430dcb0e
-EBUILD sun-wtk-bin-2.5.2.ebuild 2812 RMD160 b1ee1e9897a2c95a4f9cb75238a27cd8c5f5d953 SHA1 6779b7d38500dfeb88542ac7445e4a729fe6b8d6 SHA256 6f3fbc665b82eb8d67be3f956105dc82ebc07715d04e43651fd2c262f307bdc0
-MISC sun-wtk-bin-2.5.2.ebuild~ 2812 RMD160 b1ee1e9897a2c95a4f9cb75238a27cd8c5f5d953 SHA1 6779b7d38500dfeb88542ac7445e4a729fe6b8d6 SHA256 6f3fbc665b82eb8d67be3f956105dc82ebc07715d04e43651fd2c262f307bdc0
diff --git a/dev-java/sun-wtk-bin/sun-wtk-bin-2.5.2.ebuild b/dev-java/sun-wtk-bin/sun-wtk-bin-2.5.2.ebuild
deleted file mode 100644 (file)
index 7c0c62b..0000000
+++ /dev/null
@@ -1,114 +0,0 @@
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-JAVA_PKG_IUSE="doc source"
-
-inherit java-pkg-2
-
-DESCRIPTION="Java 2 Micro Edition Wireless Toolkit for developing wireless applications"
-HOMEPAGE="http://java.sun.com/products/j2mewtoolkit/"
-
-DOWNLOAD_URL="http://java.sun.com/products/sjwtoolkit/download.html?feed=JSC"
-BINARY="sun_java_wireless_toolkit-${PV//./_}-linux.bin"
-#PATCH="j2me_wireless_toolkit-2_2-update_2-linux.zip"
-
-#SRC_URI="${BINARY} ${PATCH}"
-SRC_URI="${BINARY}"
-LICENSE="sun-bcla-j2me"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="doc examples"
-RESTRICT="fetch"
-
-COMMON_DEP="
-       dev-java/sun-jaf
-       dev-java/sun-javamail
-       dev-java/xsdlib"
-RDEPEND="${COMMON_DEP}
-       >=virtual/jdk-1.4.2"
-DEPEND="${COMMON_DEP}
-       app-arch/unzip"
-
-S=${WORKDIR}
-
-MY_FILE=${DISTDIR}/${BINARY}
-
-pkg_nofetch() {
-
-       einfo "Please navigate your browser to ${DOWNLOAD_URL}"
-       einfo "scroll down and notice the two download buttons."
-       einfo "Click the first Download button for J2ME Wireless Toolkit 2.2"
-       einfo "and download ${BINARY} to ${DISTDIR} and resume the installation"
-
-}
-
-src_unpack() {
-
-       if [[ ! -r ${MY_FILE} ]]; then
-
-               eerror "cannot read ${A}. Please check the permission and try again."
-               die
-
-       fi
-       
-       #extract compressed data and unpack
-       ebegin "Unpacking ${BINARY}"
-       dd bs=1024 if=${MY_FILE} of=install.zip skip=26 2>/dev/null || die
-       
-       unzip install.zip || die
-       eend $?
-       rm install.zip
-
-       #unpack ${PATCH}
-       
-       #Set the java-bin-path in some scripts
-       for file in ktoolbar emulator mekeytool prefs utils wscompile defaultdevice; do
-               sed -i -e \
-                       "s@pathtowtk=\$@pathtowtk=\`java-config --jdk-home\`\"/bin/\"@" \
-                       ${WORKDIR}/bin/${file} || die
-       done
-
-       cd ${S}/bin
-       rm -f activation.jar mail.jar xsdlib.jar
-
-}
-
-src_install() {
-       local DIR=/opt/${P}
-       cd ${WORKDIR}
-
-       einfo "Copying files"
-       dodir ${DIR}
-       cp -r j2mewtk_template j2mewtk_template/appdb bin lib wtklib ${D}/${DIR}
-       use examples && cp -r apps ${D}/${DIR}
-
-       einfo "Setting permissions"
-       chmod 755 ${D}/${DIR}/bin/* || die
-       chmod 644 ${D}/${DIR}/bin/*.jar || die
-
-       einfo "Installing documentation"
-       dohtml *.html
-       use doc && java-pkg_dohtml -r docs/*
-
-       cd ${D}/${DIR}/bin
-       java-pkg_jar-from sun-jaf activation.jar
-       java-pkg_jar-from sun-javamail mail.jar
-       java-pkg_jar-from xsdlib xsdlib.jar
-
-       einfo "Registering jar files"
-       # The zip files are somehow broken and python zip handling errors on them
-       JAVA_PKG_STRICT= java-pkg_regjar \
-               ${D}${DIR}/lib/*.jar \
-               ${D}${DIR}/wtklib/kenv.zip \
-               ${D}${DIR}/wtklib/*.jar
-
-       if java-config --select-vm=emul-linux-x86-java -O 2> /dev/null > /dev/null ; then
-               sed -i ${D}/${DIR}/bin/emulator -e 's:java-config --jdk-home:java-config --select-vm=emul-linux-x86-java --jdk-home:'
-       fi
-
-       dodir /usr/bin
-       dosym ${DIR}/bin/ktoolbar /usr/bin/ktoolbar
-
-}
-
diff --git a/games-arcade/teeworlds/Manifest b/games-arcade/teeworlds/Manifest
deleted file mode 100644 (file)
index 224dc10..0000000
+++ /dev/null
@@ -1,5 +0,0 @@
-AUX fix_datadir_search.patch 1011 RMD160 7da0eb9d174b676a69f7ff1a0de660d5c5a2fa94 SHA1 4fb2a4301c8c745e7f73d9b9f976685c3e5914e1 SHA256 f4357c03f4622c56fa5b2a55b9ac790a9cd00a2697cf4de54f1843d96540c381
-AUX teeworlds_init 1001 RMD160 353aa1fa4128cb42fe53d1917c63be715b0f03c8 SHA1 ba5cf8bae903e65bda9cd9629b2d7d478563bf0b SHA256 9a9bbf40766f2a0fd663a6b306dda8c66b9a9b6adc50753dcb6d0c3970298264
-DIST bam-0.2.0.tar.gz 162342 RMD160 00af151d532bb0452d802e782f1f799abf12c4c5 SHA1 99d86db750fe18ea5b25493850122929bd2c674b SHA256 ef6cddc1df47b0d8106265033ef4e55e61decabf2279a2acd7fdf016633c0758
-DIST teeworlds-0.5.1-src.tar.gz 6392475 RMD160 42b01b67b47f010d9bfb33023ec1bf1bf8600a0f SHA1 4266c43c6e6d61fa718addd5a71db4a9810fc8d2 SHA256 ec72e3439ce4d459410f6dcb6d4fa1bb305d0064323dcb36fa2c6764c372fe78
-EBUILD teeworlds-0.5.1-r4.ebuild 2500 RMD160 8a2206868847ccde005b5efa75ee08d6e1c21958 SHA1 cac2e659edd4a3298057643a70205b5f36dbd0f9 SHA256 6ead7112ca74c8e9a57bd315713622311fdaf58954b2340a7bb005a9e37b477d
diff --git a/games-arcade/teeworlds/files/fix_datadir_search.patch b/games-arcade/teeworlds/files/fix_datadir_search.patch
deleted file mode 100644 (file)
index 19a4ae1..0000000
+++ /dev/null
@@ -1,36 +0,0 @@
-diff -r 9582fcee983b -r c1502459a920 src/engine/e_engine.c
---- a/src/engine/e_engine.c    Sun Feb 01 20:50:22 2009 +0100
-+++ b/src/engine/e_engine.c    Sun Feb 01 21:37:17 2009 +0100
-@@ -539,14 +539,15 @@
-       }
-       
-       /* 2) use data-dir in PWD if present */
--      if(fs_is_dir("data"))
-+      /* test subdir "/mapres" to reject unrelated "data" dir in PWD */
-+      if(fs_is_dir("data/mapres"))
-       {
-               strcpy(datadir, "data");
-               return 0;
-       }
-       
-       /* 3) use compiled-in data-dir if present */
--      if (fs_is_dir(DATA_DIR))
-+      if (fs_is_dir(DATA_DIR "/mapres"))
-       {
-               strcpy(datadir, DATA_DIR);
-               return 0;
-@@ -572,9 +573,11 @@
-       /* 5) check for all default locations */
-       {
-               const char *sdirs[] = {
--                      "/usr/share/teeworlds",
--                      "/usr/local/share/teeworlds"
--                      "/opt/teeworlds"
-+                      "/usr/share/teeworlds/data",
-+                      "/usr/share/games/teeworlds/data",
-+                      "/usr/local/share/teeworlds/data",
-+                      "/usr/local/share/games/teeworlds/data",
-+                      "/opt/teeworlds/data"
-               };
-               const int sdirs_count = sizeof(sdirs) / sizeof(sdirs[0]);
-               
diff --git a/games-arcade/teeworlds/files/teeworlds_init b/games-arcade/teeworlds/files/teeworlds_init
deleted file mode 100644 (file)
index a796cf8..0000000
+++ /dev/null
@@ -1,37 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2006 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-PIDFILE=/var/run/teeworlds.pid
-GAME_DIRECTORY=/usr/games/bin
-CONFIG=/etc/teeworlds/teeworlds_srv.cfg
-
-depend() {
-       use dns logger net
-}
-
-checkconfig() {
-        if [ ! -e ${CONFIG} ] ; then
-                eerror "You need an ${CONFIG} config file to run TeeWorlds"
-                return 1
-        fi
-}
-
-start() {
-       ebegin "Starting TeeWorlds"
-       start-stop-daemon --start --background --pidfile "${PIDFILE}" --make-pidfile -d ${GAME_DIRECTORY} --chuid teeworlds --exec ${GAME_DIRECTORY}/teeworlds_srv \
-       -- -f ${CONFIG}
-       eend $?
-}
-
-reload() {
-    ebegin "Reloading TeeWorlds configs and restarting processes"
-    start-stop-daemon --stop --oknodo --chuid teeworlds --pidfile "${PIDFILE}" --signal HUP --exec ${GAME_DIRECTORY}/teeworlds_srv -- -f ${CONFIG}
-    eend $?
-}
-
-stop() {
-       ebegin "Stopping TeeWorlds"
-       start-stop-daemon --stop --quiet --pidfile "${PIDFILE}"
-       eend $?
-}
diff --git a/games-arcade/teeworlds/teeworlds-0.5.1-r4.ebuild b/games-arcade/teeworlds/teeworlds-0.5.1-r4.ebuild
deleted file mode 100644 (file)
index 683ec5c..0000000
+++ /dev/null
@@ -1,99 +0,0 @@
-# Copyright 1999-2009 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI="2"
-
-inherit toolchain-funcs eutils games
-
-BAM_P="bam-0.2.0"
-DESCRIPTION="Online 2D platform shooter."
-HOMEPAGE="http://www.teeworlds.com"
-SRC_URI="http://www.teeworlds.com/files/${P}-src.tar.gz -> ${P}-src.tar.gz
-       http://teeworlds.com/trac/bam/browser/releases/bam-0.2.0.tar.gz?format=raw
-       -> ${BAM_P}.tar.gz"
-
-LICENSE="as-is"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="debug dedicated"
-
-RDEPEND="dev-lang/lua
-       !dedicated? (
-               media-libs/libsdl[X,opengl]
-               sys-libs/zlib
-       )"
-# has modified wavpack and pnglite in its sources
-# not worth of effort patching up to system ones
-DEPEND="${RDEPEND}
-       app-arch/zip"
-
-S=${WORKDIR}/${P}-src
-# that's a temporary fix for datadir location
-dir=${GAMES_DATADIR}/${PN}
-
-src_prepare() {
-       rm -f license.txt
-
-       epatch "${FILESDIR}"/fix_datadir_search.patch
-}
-
-pkg_setup() {
-       dodir /etc/${P}
-       enewgroup games
-       enewuser teeworlds -1 -1 -1 games
-}
-
-src_compile() {
-       # compile bam
-       ebegin "Preparing BAM"
-       cd "${WORKDIR}/${BAM_P}"
-       $(tc-getCC) ${CFLAGS} src/tools/txt2c.c -o src/tools/txt2c || die
-       src/tools/txt2c src/base.bam src/driver_gcc.bam \
-       src/driver_cl.bam > src/internal_base.h || die
-       # internal lua sources!
-       $(tc-getCC) ${CFLAGS} ${LDFLAGS} \
-               src/lua/*.c src/*.c -o src/bam \
-               -I /usr/include/ -lm -lpthread || die
-       eend $?
-       # compile game
-       cd "${S}"
-       sed -i \
-               -e "s|Add(\"-Wall\", \"-fno-exceptions|Add(\"|" \
-               -e "s|cc.flags:Add(\"-fstack-protector\", \"-fstack-protector-all\")|cc.flags:Add(\"${CXXFLAGS}\")|" \
-               -e "s|link.flags:Add(\"-fstack-protector\", \"-fstack-protector-all\")|link.flags:Add(\"${LDFLAGS}\")|" \
-               default.bam || die "sed failed"
-
-       local opts=""
-       use dedicated && opts="server_"
-       use debug && opts="${opts}debug" || opts="${opts}release"
-
-       ../${BAM_P}/src/bam -v ${opts}
-}
-
-src_install() {
-       if use debug ; then
-               newgamesbin ${PN}_srv_d ${PN}_srv || "newgamesbin failed"
-       else
-               dogamesbin ${PN}_srv || die "dogamesbin failed"
-       fi
-
-       if ! use dedicated ; then
-               if use debug ; then
-                       newgamesbin ${PN}_d ${PN} || die "newgamesbin failed"
-               else
-                       dogamesbin ${PN} || die "dogamesbin failed"
-               fi
-               newicon other/icons/Teeworlds.ico ${PN}.ico
-           make_desktop_entry ${PN} "Teeworlds"
-               insinto "${dir}"
-               doins -r data || die "doins failed"
-       else
-               insinto "${dir}"/data/maps
-               doins data/maps/* || die "doins failed"
-       fi
-
-       dodoc *.txt
-       prepgamesdirs
-       newinitd "${FILESDIR}"/teeworlds_init teeworlds
-}
index 3eb721f..184944d 100644 (file)
@@ -1,2 +1,2 @@
 DIST kflickr-20081222.tar.bz2 192744 RMD160 5067ded6f763874a8696a990ecb8050f307a2102 SHA1 d1f9de973602fb2bd93ccc3621e4d48608ca17d5 SHA256 de9f1c5b11b34e74f4a03ea68be546f1b7403ecc1578f469fc40188e40b7b2cc
-EBUILD kflickr-0.9.1_p20081222.ebuild 480 RMD160 2d469a9baab3d55a871d59b062cff8bc246d788b SHA1 c29ae13ad168423100231694474ac2ddbb4083bc SHA256 90f68852d6611454719d3e16a1542500f8cc0f5b873220eece133bb8f2846f81
+EBUILD kflickr-0.9.1_p20081222.ebuild 480 RMD160 e5662ab8c5044d59421a8fbee45d7937cfc66de3 SHA1 a8d3b77740aa6f29cec50b68f797ebbb0e6a6faa SHA256 d5e3f16278e187a75fcbedc4804243615b280cab10c69a51ddcc457c50d4d897
index 7233ca9..e44251b 100644 (file)
@@ -13,7 +13,7 @@ DESCRIPTION="KDE App for easy upload of your favourite photos to your Flickr.com
 HOMEPAGE="http://kflickr.sourceforge.net/"
 SRC_URI="mirror://sourceforge/${PN}/${PN}-20081222.tar.bz2"
 
-SLOT="0"
+SLOT="4"
 KEYWORDS="~amd64 ~x86"
 LICENSE="GPL-2"
 IUSE="debug"
diff --git a/net-wireless/blueproximity/Manifest b/net-wireless/blueproximity/Manifest
deleted file mode 100644 (file)
index 0cd5f2d..0000000
+++ /dev/null
@@ -1,3 +0,0 @@
-DIST blueproximity-1.2.5.tar.gz 301090 RMD160 9bb082fd8e936b3cf38805d2779d5a71c15f54da SHA1 2238a853a7f37b19160867b77bdb0a2df43449b9 SHA256 d1211d7898792a6db8448768884970c0d5efe683c6aa2ffc13e765f7d5fb62d9
-EBUILD blueproximity-1.2.5.ebuild 622 RMD160 5a8d5e1bf1101da63a11eefbc798f3012081ab81 SHA1 a7ec2ca2a87434d27267d9d8c392c435b5bc6f3e SHA256 cc3a34a1caa757c1174b84c9fdc30cbd332acd30fbdfa908fe41ce58037eb9a4
-MISC .blueproximity-1.2.5.ebuild.swp 12288 RMD160 296ce5d64ba56dd3f666e686ab02bc01b73d2ee6 SHA1 4dfc5a32a514be95556cffcb6be83683de8a9772 SHA256 c3fff7b0fc6d2773fd352b74da121b36ff891b680db851e4e29e5b40a351840f
diff --git a/net-wireless/blueproximity/blueproximity-1.2.5.ebuild b/net-wireless/blueproximity/blueproximity-1.2.5.ebuild
deleted file mode 100644 (file)
index 7b62077..0000000
+++ /dev/null
@@ -1,28 +0,0 @@
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-DESCRIPTION="Leave it - it's locked, come back - it's back too..."
-HOMEPAGE="http://blueproximity.sourceforge.net/"
-SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
-
-LICENSE=""
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE=""
-
-DEPEND=""
-RDEPEND="
-       dev-python/pybluez
-       dev-python/configobj
-       dev-python/pygtk:2
-       net-wireless/bluez-utils
-       "
-
-src_install() {
-       insinto /opt/${PN}
-       sed "s:^cd.*:cd /opt/${PN}:" -i ${P}.orig/start_proximity.sh
-       doins ${P}.orig/*
-       newbin ${P}.orig/start_proximity.sh blueproximity
-}
-